<!--% PROCESS 'shared-episode-summary.tpl.html' %-->
<!--% PROCESS 'shared-avatar.tpl.html' %-->
<!--% PROCESS 'shared-utils.tpl.html' %-->
<!--% PROCESS 'shared-listen-now.tpl.html' %-->
<!--% PROCESS 'shared-show-transcript.tpl.html' %-->
<!--% PROCESS "queries-episode-${constants.database}.tpl.html" %-->
<!--% USE DBI(constants.driver, constants.user, constants.password) %-->
<!--% query_episodes = DBI.prepare(query_episode_maxmin) %-->
<!--% episode_result = query_episodes.execute(id, id, id, id, id) %-->
<!--% FOREACH episode IN episode_result %-->
    <!--% in_window = ( episode.id > episode.latest || episode.id < ( episode.latest - 20 ) ? 0 : 1 ) %-->
<!--% episode_navigation = step_navigation(baseurl,episode) %-->
<article>
	<header>
		<h1>hpr<!--% zero_pad_left(episode.id) %--> :: <!--% episode.title %--></h1>
		<h3><!--% episode.summary %--></h3>
		<p class="meta"><!--% episode_navigation %-->
		</p>
<p><!--% show_avatar(episode.hostid, episode.host) %-->
Hosted by <a href="<!--% absolute_path(baseurl) %-->correspondents/<!--% zero_pad_left(episode.hostid) %-->.html"><!--% episode.host %--></a> on <span><!--% episode.date %--></span> is flagged as <span><!--% display_explicit(episode.explicit) %--></span> and is released under a <span><!--% episode.license %--> license</span>. <br>
<!--% display_tags(episode.tags) %-->

<label>Comments: </label><!--% display_comments_tally(episode.id, episode.eps_tally) %--> <br>
The show is available on the Internet Archive at: <a href="https://archive.org/details/hpr<!--% zero_pad_left(episode.id) %-->">https://archive.org/details/hpr<!--% zero_pad_left(episode.id) %--></a>
<!--% listen_now(episode, "hpr", baseurl, media_baseurl) %-->
</p>
<h3><!--% show_series(episode.series, episode.seriesid, "Part of the series") %--></h3> 
<p><em><!--% episode.series_description %--></em></p>
	</header>
	<div><!--% episode.notes %--></div>
<footer>
<!--% show_transcript(episode, "hpr", baseurl, media_baseurl) %-->
<p>
<!--% episode_navigation %-->
</p>
    </footer></article>
<!--% END %-->
<hr />
<h1>Comments</h1>
<p id="comments">
Subscribe to the comments <a href="<!--% absolute_path(baseurl) %-->comments.rss">RSS</a> feed.
</p>
<!--% query_comments = DBI.prepare('
	SELECT 
		id,
		comment_timestamp, 
		comment_author_name, 
		comment_title, 
		comment_text
	FROM comments
	WHERE eps_id = ?
	')
%-->
<!--% comment_index = 1 %-->
<!--% comments_result = query_comments.execute(id) %-->
<!--% FOREACH comment IN comments_result %-->
<h5 id="comment_<!--% comment.id %-->"><a href="/eps/hpr<!--% zero_pad_left(episode.id) %-->/index.html#comment_<!--% comment.id %-->">Comment #<!--% comment_index %--></a> posted on <!--% comment.comment_timestamp %--> by <!--% comment.comment_author_name %--></h5>
<h4><!--% comment.comment_title %--></h4>
<!--% comment.comment_text FILTER html_para %-->
<!--% comment_index = comment_index + 1 %-->
<!--% END %-->

        <h2>Leave Comment</h2>
        <p>
        <strong>Note to Verbose Commenters</strong><br />
        If you can't fit everything you want to say in the comment below then you really should <a href="<!--% absolute_url(baseurl) %-->about.html#so_you_want_to_record_a_podcast">record</a> a response show instead.
        </p>
        <p>
        <strong>Note to Spammers</strong><br />
		All comments are moderated. All links are checked by humans. We strip out all html. Feel free to <a href="<!--% absolute_url(baseurl) %-->about.html#so_you_want_to_record_a_podcast">record</a> a show about yourself, or your industry, or any other topic we may find interesting. <em>We also check shows for spam :)</em>.
        </p>
        <form method="POST" action="<!--% hub_baseurl %-->comment_confirm.php">
        <fieldset>
        <legend>Provide feedback</legend>
        <table>
        <tr>
            <td>Your Name/Handle:</td>
            <td><input required type="text" name="comment_author_name" size="40" maxlength="40" placeholder="Enter your name" ></td>
        </tr>
        <tr>
            <td>Title:</td>
            <td><input required type="text" name="comment_title" size="50" maxlength="100" placeholder="What is your comment about?"></td>
        </tr>
        <tr>
            <td>Comment:</td>
            <td><textarea required name="comment_text" maxlength="2000" rows="10" cols="50" placeholder="Place the comment here."></textarea></td>
        </tr>
        <tr>
            <td>Anti Spam Question:</td>
            <td>
            What does the letter <strong>P</strong> in <em>HPR</em> stand for? <br />
            <input required type="text" name="anti_spam_question" size="50" maxlength="100" placeholder="Type out what the P in HPR stands for."></td>
	</tr>
	<!--% IF in_window %-->
	<tr><td>
        <input type="hidden" name="spammer" value="No">
        <input type="hidden" name="hostid" value="<!--% episode.hostid %-->">
        <input type="hidden" name="justification" value="No justification is asked for or required.">
	</td></tr>
	<!--% ELSE %-->
<!-- . -->
	<tr>
	<td>Are you a spammer?</td>
	<td>
	<input required checked="checked" type="radio" name="spammer" id="spammer_yes" value="Yes">
	<label for="spammer_yes">Yes</label>
	<input required type="radio" name="spammer" id="spammer_no" value="No">
	<label for="spammer_no">No</label>
	</td>
	</tr>
<!-- . -->
	<tr>
	<td>Who is the <strong>host</strong> of this show?</td>
	<td>
	<select required name="hostid" id="hostid">
		<option value="Spammer" selected="selected">Spammer</option>
		<option value="Spammer">Linus Torvalds</option>
		<option value="Spammer">Marie Curie</option>
		<option value="<!--% episode.hostid %-->"><!--% episode.host %--></option>
		<option value="Spammer">Alan Turing</option>
		<option value="Spammer">Terry Pratchett</option>
		<option value="Spammer">Yuri Gagarin</option>
	</select>
		<td>
	<td>
<!-- . -->
	<tr>
	<td>What does HPR mean to you?</td>
	<td><textarea required name="justification" maxlength="200" rows="4" cols="50" placeholder="Convince us you are part of the community."></textarea></td>
	</tr>
	<!--% END %-->
	<tr><td>
        <input type="hidden" name="eps_id" value="<!--% episode.id %-->">
	</td></tr>
        </table>
        <input type="submit" value="Next">
        </fieldset>
        </form>
